|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QGenericReturnArgument Class Reference
[QtCore module]

The QGenericReturnArgument class is an internal helper class for marshalling arguments. More...

     #include <QGenericReturnArgument>

Inherits QGenericArgument.

- List of all members, including inherited members

### Public Functions

- QGenericReturnArgument ( const char * name = 0, void * data = 0 )

- 2 public functions inherited from QGenericArgument

## Detailed Description

The QGenericReturnArgument class is an internal helper class for marshalling arguments.

This class should never be used directly. Please use the Q_RETURN_ARG() macro instead.

See also Q_RETURN_ARG(), QMetaObject::invokeMethod(), and QGenericArgument.

## Member Function Documentation

### QGenericReturnArgument::QGenericReturnArgument ( const char * name = 0, void * data = 0 )

Constructs a QGenericReturnArgument object with the given name and data.